
Redmine - Patch #34072

Hook after plugins were loaded

2020-10-06 10:27 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Hook requests Estimated time: 0.00 hour

Target version: 4.2.0   

Description

This patch adds a hook right after all plugins have been loaded - which is useful for plugins to check presence / patch other plugins

independent of plugin load order.

Related issues:

Related to Redmine - Patch #20263: Redmine load hook Closed

Related to Redmine - Defect #36245: ActiveSupport::Reloader.to_prepare not wo... Resolved

Associated revisions

Revision 20151 - 2020-10-20 02:02 - Go MAEDA

Adds a hook after all plugins have been loaded (#34072).

Patch by Jens Krämer.

History

#1 - 2020-10-06 14:44 - Anonymous

- File 2020-10-06 14_28_05-Clipboard.png added

#2 - 2020-10-06 14:50 - Marius BĂLTEANU

- File deleted (2020-10-06 14_28_05-Clipboard.png)

#3 - 2020-10-17 04:21 - Go MAEDA

- Target version set to 4.2.0

Setting the target version to 4.2.0.

#4 - 2020-10-20 02:07 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

#5 - 2020-11-16 02:25 - Go MAEDA

- Related to Patch #20263: Redmine load hook added

#6 - 2021-12-02 09:22 - Go MAEDA

- Related to Defect #36245: ActiveSupport::Reloader.to_prepare not working in trunk 21287 added

Files
